Download it now!
Bug 122122 - Support for separate charts from data series selection of a specific diagram
Summary: Support for separate charts from data series selection of a specific diagram
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
6.1.3.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart-Enhancements
  Show dependency treegraph
 
Reported: 2018-12-15 10:44 UTC by Markus Elfring
Modified: 2019-08-20 13:42 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Elfring 2018-12-15 10:44:35 UTC
Multiple data series can be displayed together in a selected chart type already.
It can happen then that these series deal with data types which have got a high probability that a lot of values will be (almost) the same. The value distribution would hinder a clear display in a single multi-series chart.
Thus each data series should be presented in a separate chart while the X axis can be shared between them.
Comment 1 Roman Kuznetsov 2019-05-06 09:48:12 UTC
Markus, can you make some mockups for illustration of your suggest?
Comment 2 Xisco Faulí 2019-06-10 15:35:39 UTC
(In reply to Roman Kuznetsov from comment #1)
> Markus, can you make some mockups for illustration of your suggest?

Setting to NEEDINFO until the info is provided...
Comment 3 Markus Elfring 2019-06-10 16:31:37 UTC
(In reply to Roman Kuznetsov from comment #1)

I suggest to take another look at related information sources.
https://en.wikipedia.org/wiki/Time_series#Separated_charts
Comment 5 Heiko Tietze 2019-08-19 09:41:39 UTC
For example, you have data in col A and B and create a chart for both expecting two resulting charts stacked to each other (or rather on column with a separation by a category). Calc is a spreadsheet tool and you shouldn't look for advanced features as known from R, for example (eg. http://www.personal.psu.edu/mar36/stat_461/split_plot/split_plot.html). In my opinion such a split-plot feature would be out of scope. Eike, what's your take?
Comment 6 Regina Henschel 2019-08-19 11:12:56 UTC
There exist applications, which allow to group several charts into one scene, e.g. "MuPad". Currently ODF only allows one <chart:chart> element in <office:chart>. So ODF has nothing comparable to a "scene". I consider introducing such concept as complex.

Calc has the ability to group Chart objects, so that they can be easily moved together. Therefore I see no need for a "scene".

Current workflow can be: Make a chart of all data series and style it. Clone the chart object as often as needed and arrange the chart objects. Then enter one-by-one and remove the not needed data series. At last group the chart objects.

But some improvements in cloning and grouping would be nice.
Comment 7 Markus Elfring 2019-08-19 12:50:14 UTC
(In reply to Heiko Tietze from comment #5)
I am looking for improved presentations where an axis can be shared between graphs.
Comment 8 Heiko Tietze 2019-08-20 07:32:27 UTC
Taking Regina's comment for resolving this as WF. You can group charts or have to insert externally created objects, if sharing an axis is needed.
Comment 9 Markus Elfring 2019-08-20 08:34:03 UTC
(In reply to Heiko Tietze from comment #8)
I am curious under which circumstances better solutions will be considered for this issue.
How much do you care for improvements around axis sharing with charts?
Comment 10 Heiko Tietze 2019-08-20 08:38:39 UTC
LibreOffice follows the specification of the open document format. And as Regina pointed out, there is no such property to combine charts. That's mostly why I resolved the ticket as WF. The other argument is that split-plot diagrams are out of scope for an office suite.
Comment 11 Markus Elfring 2019-08-20 13:16:58 UTC
(In reply to Heiko Tietze from comment #10)
> LibreOffice follows the specification of the open document format. And as
> Regina pointed out, there is no such property to combine charts.

Would you dare any further extensions in this area?


> The other argument is that split-plot diagrams are out of scope for an office suite.

I got other application expectations.

* How often do you fiddle with charts where an axis should be shared between them?
* Are you used to visualisations around data together with the time dimension?